extension IDKitStringList on String {
  /// convert string to list.
  List<String> toList({bool filterEmptyCharacter = false}) {
    final List<String> result = [];
    if (isEmpty) return result;
    for (var i = 0; i < length; i++) {
      final String character = this[i];
      if (filterEmptyCharacter && character.isNotEmpty) {
        result.add(character);
      } else {
        result.add(character);
      }
    }
    return result;
  }
}

extension IDKitOptionalStringList on String? {
  /// convert string to list.
  List<String?> toList({bool filterEmptyCharacter = false}) {
    final List<String> result = [];
    if (this != null) {
      final String newValue = this!;
      if (newValue.isEmpty) return result;
      for (var i = 0; i < newValue.length; i++) {
        final String character = newValue[i];
        if (filterEmptyCharacter && character.isNotEmpty) {
          result.add(character);
        } else {
          result.add(character);
        }
      }
    }
    return result;
  }
}
