import 'package:flutter/material.dart';

extension IDKitGap on num {
  /// Horizontal gap widget
  Widget get hGap => SizedBox(width: toDouble());

  /// Vertical gap widget
  Widget get vGap => SizedBox(height: toDouble());

  /// Horizontal gap colored widget
  Widget hCGap(Color color) => ColoredBox(color: color, child: hGap);

  /// Vertical gap colored widget
  Widget vCGap(Color color) => ColoredBox(color: color, child: vGap);

  /// Sliver type horizontal spacer block.
  SliverToBoxAdapter get shGap => SliverToBoxAdapter(child: hGap);

  /// Sliver type vertical spacer block.
  SliverToBoxAdapter get svGap => SliverToBoxAdapter(child: vGap);

  /// Horizontal colored spacer blocks of type Sliver.
  SliverToBoxAdapter shCGap(Color color) =>
      SliverToBoxAdapter(child: hCGap(color));

  /// Vertical colored spacer blocks of type Sliver.
  SliverToBoxAdapter svCGap(Color color) =>
      SliverToBoxAdapter(child: vCGap(color));
}
